#ifndef function_map
#define function_map

#include "logic.h"

#define STARTING 1
#define NOT_STARTING 0

typedef struct {
    const char *name;
    fp function_pointer;
    unsigned char input_amount;
    char starting;
} name_to_function;

name_to_function mapping[] = {
    {"AND2", and_func, 2, NOT_STARTING},
    {"AND3", and_func, 3, NOT_STARTING},
    {"NAND2", nand_func, 2, NOT_STARTING},
    {"NAND3", nand_func, 3, NOT_STARTING},
    {"OR2", or_func, 2, NOT_STARTING},
    {"OR3", or_func, 3, NOT_STARTING},
    {"NOR2", nor_func, 2, NOT_STARTING},
    {"NOR3", nor_func, 3, NOT_STARTING},
    {"NOT", not_func, 1, NOT_STARTING},
    {"LED0", led0, 1, NOT_STARTING},
    {"LED1", led1, 1, NOT_STARTING},
    {"LED2", led2, 1, NOT_STARTING},
    {"LED3", led3, 1, NOT_STARTING},
    {"FOTO_R0", fotoodpor0, 0, STARTING},
    {"FOTO_R1", fotoodpor1, 0, STARTING},
    {"BUF", buffer, 2, NOT_STARTING},
    {"IN0", low, 0, STARTING},
    {"IN1", high, 0, STARTING},
    {"BUT0", but0, 0, STARTING},
    {"BUT1", but1, 0, STARTING},
    {"IR", digi_input, 0, STARTING},
    {"MOT", motor, 1, NOT_STARTING},
    {"D", D_flipflop, 2, NOT_STARTING},
    {"REPRO", repro, 1, NOT_STARTING},
    {"SERVO", servo, 1, NOT_STARTING},
    {NULL, NULL, 0}
};

#endif